dnl **********************************************************************
dnl
dnl Copyright (c) 1998
dnl Object-Oriented Concepts, Inc.
dnl Billerica, MA, USA
dnl
dnl Copyright (c) 1998
dnl Object-Oriented Concepts GmbH
dnl Ettlingen, Germany
dnl
dnl All Rights Reserved
dnl
dnl **********************************************************************

dnl ----------------------------------------------------------------------
dnl Check for X11 libraries
dnl ----------------------------------------------------------------------

AC_PATH_XTRA

dnl ----------------------------------------------------------------------
dnl Check for TCL/TK libraries and headers
dnl ----------------------------------------------------------------------

AC_CHECK_HEADERS(tcl.h)
if test "$ac_cv_header_tcl_h" != yes
then
    AC_MSG_ERROR(Can't find tcl.h!)
fi

AC_CHECK_HEADERS(tk.h)
if test "$ac_cv_header_tk_h" != yes
then
    AC_MSG_ERROR(Can't find tk.h!)
fi

AC_CHECK_LIB(dl, main)
AC_CHECK_LIB(m, main)

AC_CHECK_LIB(tcl, main)
if test "$ac_cv_lib_tcl_main" != yes
then
    AC_CHECK_LIB(tcl8.0, main)
    if test "$ac_cv_lib_tcl8_0_main" != yes
    then
	AC_MSG_ERROR(Can't find tcl library!)
    fi
fi

AC_CHECK_LIB(tk, main, , , $X_LIBS $X_PRE_LIBS -lXt -lX11 $X_EXTRA_LIBS)
if test "$ac_cv_lib_tk_main" != yes
then
    AC_CHECK_LIB(tk8.0, main, , , $X_LIBS $X_PRE_LIBS -lXt -lX11 $X_EXTRA_LIBS)
    if test "$ac_cv_lib_tk8_0_main" != yes
    then
	AC_MSG_ERROR(Can't find tk library!)
    fi
fi
