// **********************************************************************
//
// Copyright (c) 1997
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef EVENT_SERVER_ADMIN_IMPL_H
#define EVENT_SERVER_ADMIN_IMPL_H

//
// The EventServerAdmin implementation class. This is used to
// administer the event service itself.
//
class EventServerAdmin_impl : public EventServerAdmin_skel,
			      public JTCMonitor
{
    CORBA_BOA_var boa_;
    
    CosEventChannelAdmin_EventChannel_var ec_;
    
    CosTypedEventChannelAdmin_TypedEventChannel_var tec_;
    
public:
    
    EventServerAdmin_impl(CORBA_BOA_ptr,
                          CosEventChannelAdmin_EventChannel_ptr);
    
    EventServerAdmin_impl(CORBA_BOA_ptr,
                          CosTypedEventChannelAdmin_TypedEventChannel_ptr);
    
    virtual void shutdown();
};

#endif
