// **********************************************************************
//
// Copyright (c) 1997
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef RECEIVER_IMPL_H
#define RECEIVER_IMPL_H

#include <Broadcaster.h>
#include <ReceiverBase_impl.h>
#include <OB/Reactor.h>
#include <termio.h>

class Receiver_impl : public ReceiverBase_impl, public OBEventHandler
{
    //
    // Input string
    //
    CORBA_String_var input_;

public:

    Receiver_impl(Broadcaster_ptr);
    ~Receiver_impl();

    //
    // Event handling
    //
    virtual void handleEvent(CORBA_ULong);
    virtual void handleStop();

    //
    // Functions from the .idl file
    //
    virtual void print(const char*);
};

#endif
