# **********************************************************************
#
# Copyright (c) 1998
# Object-Oriented Concepts, Inc.
# Billerica, MA, USA
#
# Copyright (c) 1998
# Object-Oriented Concepts GmbH
# Ettlingen, Germany
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= .

!include $(top_srcdir)\config\Make.rules.mak

!if "$(WITH_JTC)" == "yes" # The event service only works with JThreads/C++
JTC=jtc
EVENT=event
NOTIFY=notify
!else
JTC=
EVENT=
NOTIFY=
!endif

SUBDIRS		= $(JTC) ob naming property $(EVENT) $(NOTIFY) ssl

install::
	@if not exist $(bindir) \
	    @echo "Creating $(bindir)..." & \
	    mkdir $(bindir)

	@if not exist $(libdir) \
	    @echo "Creating $(libdir)..." & \
	    mkdir $(libdir)

	@if not exist $(includedir) \
	    @echo "Creating $(includedir)..." & \
	    mkdir $(includedir)

all depend install clean test::
	@for %i in ( $(SUBDIRS) ) do \
	    @if exist %i cmd /c "cd %i & $(MAKE) /f Makefile.mak $@"
