// **********************************************************************
//
// Copyright (c) 1997
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef SET_DEFAULT_PROPERTIES_H
#define SET_DEFAULT_PROPERTIES_H

class SetDefaultProperties
{
    //
    // This array holds the default property set.
    //
    struct DefaultProperties
    {
	const char* key;
	const char* value;
    };
    static const DefaultProperties defaults_[];
    static CORBA_ULong numDefaults_;

    static void setDefault(const char*);

public:

    static void setDefaults();
};

#endif
