# **********************************************************************
#
# Copyright (c) 1998
# Object-Oriented Concepts, Inc.
# Billerica, MA, USA
#
# Copyright (c) 1998
# Object-Oriented Concepts GmbH
# Ettlingen, Germany
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..

CLIENT_NAME	= client.exe

TARGETS		= $(CLIENT_NAME)

!include $(top_srcdir)\config\Make.rules.mak

COMMON_OBJS	=

CLIENT_OBJS	= Client.obj \
		  TestBind.obj \
		  TestBindContext.obj \
		  TestCallbacks.obj \
		  TestDestroy.obj \
		  TestList.obj \
		  TestListAll.obj \
		  TestListener_impl.obj \
		  TestObject.obj \
		  TestObject_skel.obj \
		  TestRebind.obj \
		  TestRebindContext.obj \
		  TestRename.obj \
		  TestResolve.obj \
		  TestUnbind.obj

ALL_CXXFLAGS	= $(CXXFLAGS) /Zm200
ALL_CPPFLAGS	= /I. /I$(top_srcdir)\include $(OB_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(top_srcdir)\lib\CosNaming.lib $(OB_LIBS) $(LIBS)

$(CLIENT_NAME): $(CLIENT_OBJS)
        $(LINK) $(LINKFLAGS) /out:$@ \
        $(COMMON_OBJS) $(CLIENT_OBJS) $(ALL_LIBS)

TestObject.cpp TestObject.h: TestObject.idl
	del /q TestObject.cpp TestObject.h
	del /q TestObject_skel.cpp TestObject_skel.h
	$(IDL) --no-type-codes TestObject.idl

TestObject_skel.cpp TestObject_skel.h: TestObject.cpp

!include .windep
