# **********************************************************************
#
# Copyright (c) 1998
# Object-Oriented Concepts, Inc.
# Billerica, MA, USA
#
# Copyright (c) 1998
# Object-Oriented Concepts GmbH
# Ettlingen, Germany
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..\..

PEER1_NAME	= peer1.exe
PEER2_NAME	= peer2.exe

TARGETS		= $(PEER1_NAME) \
		  $(PEER2_NAME)

!include $(top_srcdir)\config\Make.rules.mak

COMMON_OBJS	= Nested.obj

PEER1_OBJS	= Nested_skel.obj \
		  Nested_impl.obj \
		  Peer1.obj

PEER2_OBJS	= Nested_skel.obj \
		  Nested_impl.obj \
		  Peer2.obj

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. $(OB_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(OB_LIBS) $(LIBS)
 
$(PEER1_NAME): $(COMMON_OBJS) $(PEER1_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(PEER1_OBJS) $(ALL_LIBS)

$(PEER2_NAME): $(COMMON_OBJS) $(PEER2_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(PEER2_OBJS) $(ALL_LIBS)

Nested.cpp Nested.h: Nested.idl
	del /q Nested.cpp Nested.h
	del /q Nested_skel.cpp Nested_skel.h
	$(IDL) --no-type-codes Nested.idl

Nested_skel.cpp Nested_skel.h: Nested.cpp

!include .windep
