#!/bin/perl
# **********************************************************************
#
# Copyright (c) 1998
# Object-Oriented Concepts, Inc.
# Billerica, MA, USA
#
# Copyright (c) 1998
# Object-Oriented Concepts GmbH
# Ettlingen, Germany
#
# All Rights Reserved
#
# **********************************************************************

for($i = 0 ; $i < 10 ; $i++)
{
    open(INPUT, './run |');

    while(<INPUT>)
    {
	chomp;

	/^.\/peer1/ && ($peer1 = $_);
	/^.\/peer2/ && ($peer2 = $_);
	
	if(/^Time per method call: ([\.\d]+) ms/)
	{
	    $key = "$peer1 / $peer2";

	    if($result{$key} eq "")
	    {
		$result{$key} = $1;
	    }
	    elsif($result{$key} > $1)
	    {
		$result{$key} = $1;
	    }
	}
    }
}

foreach $key (sort (keys %result))
{
    print "$key: $result{$key}\n";
}
