#include <OB/Config.h>

#define INCLUDE_DEFAULTS \
{ \
    { 0, 0, 0 } \
}

#define GCC_INCLUDE_DIR "dummydummydummydummy"
#define FATAL_EXIT_CODE 33
#define SUCCESS_EXIT_CODE 0

static char *version_string = "2.7.2.3";

#define HOST_BITS_PER_INT SIZEOF_INT
#define HOST_BITS_PER_LONG SIZEOF_LONG
#define BITS_PER_UNIT SIZEOF_CHAR
#define CHAR_TYPE_SIZE SIZEOF_CHAR
#define INT_TYPE_SIZE SIZEOF_INT
#define LONG_TYPE_SIZE SIZEOF_LONG
#define WCHAR_TYPE_SIZE SIZEOF_WCHAR_T

#define TARGET_BELL 007
#define TARGET_BS 010
#define TARGET_TAB 011
#define TARGET_NEWLINE 012
#define TARGET_VT 013
#define TARGET_FF 014
#define TARGET_CR 015

#ifdef WIN32
#   include <malloc.h>
#ifndef BORLAND
#   define alloca _alloca
#endif
#endif

#if defined(__hpux)
/* The definition of "alloca" as "malloc" is necessary since aCC has
 * no builtin alloca() and there is also no library that includes an
 * alloca() function. */
#   define alloca(x) malloc(x)
#endif

/* This is what bison 1.25 uses */
#ifndef alloca
#ifdef __GNUC__
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi)
#include <alloca.h>
#else /* not sparc */
#if defined (MSDOS) && !defined (__TURBOC__)
#include <malloc.h>
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
#include <malloc.h>
 #pragma alloca
#else /* not MSDOS, __TURBOC__, or _AIX */
#ifdef __hpux
#ifdef __cplusplus
extern "C" {
void *alloca (unsigned int);
};
#else /* not __cplusplus */
void *alloca ();
#endif /* not __cplusplus */
#endif /* __hpux */
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc.  */
#endif /* not GNU C.  */
#endif /* alloca not defined.  */
