# **********************************************************************
#
# Copyright (c) 1998
# Object-Oriented Concepts, Inc.
# Billerica, MA, USA
#
# Copyright (c) 1998
# Object-Oriented Concepts GmbH
# Ettlingen, Germany
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

IORDUMP_NAME	= $(top_srcdir)\bin\iordump.exe
REGUPDATE_NAME  = $(top_srcdir)\bin\regupdate.exe

TARGETS		= $(IORDUMP_NAME) $(REGUPDATE_NAME)

!include $(top_srcdir)\config\Make.rules.mak

IORDUMP_OBJS	= IORDump.obj
REGUPDATE_OBJS	= RegUpdate.obj

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. /Iwininclude $(OB_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(LIB_NAME) $(OB_LIBS) $(LIBS)

$(IORDUMP_NAME): $(COMMON_OBJS) $(IORDUMP_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(IORDUMP_OBJS) $(ALL_LIBS)

$(REGUPDATE_NAME): $(COMMON_OBJS) $(REGUPDATE_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(REGUPDATE_OBJS) $(ALL_LIBS)

install:: all
	$(INSTALL_PROGRAM) $(IORDUMP_NAME) $(bindir)

!include .windep
